Package com.avaya.clientservices.messaging

## Class MessagingParticipantPhoneNumber

- java.lang.Object
- - com.avaya.clientservices.messaging.MessagingParticipantPhoneNumber

-     public class MessagingParticipantPhoneNumber
      extends java.lang.Object

  Represents a participant's phone number.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCanonicalForm()` | Returns E.164 formatted phone number.
    `java.lang.String` | `getCustomType()` | When `getType()` has value `MessagingParticipantPhoneNumberType.CUSTOM` this represents the name of the custom number type provided by a user.
    `MessagingParticipantPhoneNumberType` | `getType()` | Returns phone number type.
    `java.lang.String` | `getValue()` | Returns the phone number.
    `boolean` | `isPrimary()` | Indicates whether the number is primary.
    `boolean` | `isVerified()` | Indicates whether the number is verified.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isVerified

          public boolean isVerified()

      Indicates whether the number is verified.
      Returns:
        true if the number is verified.

    - #### isPrimary

          public boolean isPrimary()

      Indicates whether the number is primary.
      Returns:
        whether the number is primary.

    - #### getCanonicalForm

          public java.lang.String getCanonicalForm()

      Returns E.164 formatted phone number.
      Returns:
        E.164 formatted phone number.

    - #### getType

          public MessagingParticipantPhoneNumberType getType()

      Returns phone number type.
      Returns:
        phone number type.

    - #### getCustomType

          public java.lang.String getCustomType()

      When `getType()` has value `MessagingParticipantPhoneNumberType.CUSTOM` this represents the name of the custom number type provided by a user.
      Returns:
        custom phone number type.
      See Also:
        `getType()`

    - #### getValue

          public java.lang.String getValue()

      Returns the phone number.
      Returns:
        the phone number.